PostgreSQL 7.4.11 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# pg_connect

## Name

pg_connect -- open a connection to the server

## Synopsis

    pg_connect -conninfo connectOptions
    pg_connect dbName ?-host hostName? ?-port portNumber? ?-tty tty? ?-options serverOptions?

## Description

`pg_connect` opens a connection to the PostgreSQL server.

Two syntaxes are available. In the older one, each possible option has a separate option switch in the `pg_connect` command. In the newer form, a single option string is supplied that can contain multiple option values. `pg_conndefaults` can be used to retrieve information about the available options in the newer syntax.

## Arguments

New style

`connectOptions`

  A string of connection options, each written in the form `keyword = value`. A list of valid options can be found in the description of the libpq function `PQconnectdb`.

Old style

`dbName`

  The name of the database to connect to.

`-host `hostName``

  The host name of the database server to connect to.

`-port `portNumber``

  The TCP port number of the database server to connect to.

`-tty `tty``

  A file or TTY for optional debug output from the server.

`-options `serverOptions``

  Additional configuration options to pass to the server.

## Return Value

If successful, a handle for a database connection is returned. Handles start with the prefix `pgsql`.

Prev | Home | Next
pgtcl Command Reference | Up | pg_disconnect